Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Class EditElementMouseTransformFactory.UnselectTransform

    java.lang.Object
      jpicedt.graphic.toolkit.EditElementMouseTransformFactory.UnselectTransform

All Implemented Interfaces:
  MouseTransform

Enclosing class:
  EditElementMouseTransformFactory

protected class EditElementMouseTransformFactory.UnselectTransform
extends Object
implements MouseTransform

Constructor Summary
`EditElementMouseTransformFactory.UnselectTransform(Element target)`

Method Summary
`Cursor` | `getCursor()` Return the cursor for this MouseTransform
`String` | `getHelpMessage()` Return a help-message for the UI, that makes sense with this transform.
`boolean` | `next(PEMouseEvent e)` Called when the left mouse-button changes state.
`void` | `paint(Graphics2D g, Rectangle2D allocation, double scale)` Allows the MouseTransform to do specific graphic rendering when it's operating.
`void` | `process(PEMouseEvent e)` Called when the mouse is dragged/moved after the first mouse-pressed event.
`void` | `start(PEMouseEvent e)` Called when the mouse is pressed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditElementMouseTransformFactory.UnselectTransform

    public EditElementMouseTransformFactory.UnselectTransform(Element target)

Method Detail

### start

    public void start(PEMouseEvent e)

  Description copied from interface: `MouseTransform`
  Called when the mouse is pressed. The transform should do the initialization work here.

  Specified by:
    `start` in interface `MouseTransform`

### next

    public boolean next(PEMouseEvent e)

  Description copied from interface: `MouseTransform`
  Called when the left mouse-button changes state.

  Specified by:
    `next` in interface `MouseTransform`
  Returns:
    true if there's another task in the sequence, false if mouse-transform has completed with this mouse-event.

### process

    public void process(PEMouseEvent e)

  Description copied from interface: `MouseTransform`
  Called when the mouse is dragged/moved after the first mouse-pressed event. Element geometry update should occur here.

  Specified by:
    `process` in interface `MouseTransform`

### paint

    public void paint(Graphics2D g,
                      Rectangle2D allocation,
                      double scale)

  Description copied from interface: `MouseTransform`
  Allows the MouseTransform to do specific graphic rendering when it's operating.

  Specified by:
    `paint` in interface `MouseTransform`

### getCursor

    public Cursor getCursor()

  Description copied from interface: `MouseTransform`
  Return the cursor for this MouseTransform

  Specified by:
    `getCursor` in interface `MouseTransform`

### getHelpMessage

    public String getHelpMessage()

  Description copied from interface: `MouseTransform`
  Return a help-message for the UI, that makes sense with this transform.

  Specified by:
    `getHelpMessage` in interface `MouseTransform`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org